import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '公司名称',
    align:"center",
    dataIndex: 'companyName'
   },
   {
    title: '联系人',
    align:"center",
    dataIndex: 'userName'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '公司地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '营业执照',
    align:"center",
    dataIndex: 'businessLicense',
    customRender:render.renderAvatar,
   },
   {
    title: '状态',
    align:"center",
    dataIndex: 'status'
   },
   {
    title: '关联用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '公司名称',
    field: 'companyName',
    component: 'Input',
  },
  {
    label: '联系人',
    field: 'userName',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '公司地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '营业执照',
    field: 'businessLicense',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '状态',
    field: 'status',
    component: 'Input',
  },
  {
    label: '关联用户',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
