import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '联系人',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '手机号',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '所在区域',
    align:"center",
    dataIndex: 'area'
   },
   {
    title: '关联商品类型',
    align:"center",
    dataIndex: 'typeId_dictText'
   },
   {
    title: '关联商品',
    align:"center",
    dataIndex: 'goodsId_dictText'
   },
   {
    title: '关联用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '联系人',
    field: 'name',
    component: 'Input',
  },
  {
    label: '手机号',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '所在区域',
    field: 'area',
    component: 'Input',
  },
  {
    label: '关联商品类型',
    field: 'typeId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"carrent_type,name,id"
     },
  },
  {
    label: '关联商品',
    field: 'goodsId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"carrent_goods,goods_name,id"
     },
  },
  {
    label: '关联用户',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
