package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.carrentApply.entity.CarrentApply;
import org.springframework.web.bind.annotation.RequestHeader;

public interface ApplyService {

    /**
     * 寻车申请-申请列表
     * @param token
     * @param pageBean
     * @return
     */
    public Result<?> queryApplyList(@RequestHeader("X-Access-Token") String token, PageBean pageBean);

    /**
     * 寻车申请-添加申请
     * @param token
     * @param carrentApply
     * @return
     */
    public Result<?> addApply(@RequestHeader("X-Access-Token") String token, CarrentApply carrentApply);

}
