package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;

public interface NewsService {

    /**
     * 新闻资讯-获取新闻列表
     * @param pageBean 分页信息
     * @return
     */
    public Result<?> queryNewsList(PageBean pageBean);

    /**
     * 新闻资讯-根据id获取新闻详情
     * @param newsId 新闻id
     * @return
     */
    public Result<?> queryNewsById(String newsId);

}
