package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.carrentGoods.entity.CarrentGoods;

public interface GoodsService {

    /**
     * 商品信息-获取商品列表
     * @param token
     * @param goods
     * @param pageBean
     * @return
     */
    public Result<?> queryGoodsList(String token, CarrentGoods goods, PageBean pageBean);

    /**
     * 商品信息-根据id获取商品详情
     * @param goodsId
     * @return
     */
    public Result<?> queryGoodsById(String goodsId);

    /**
     * 商品信息-车辆信息发布
     * @param token
     * @param goods
     * @return
     */
    public Result<?> addGoods(String token, CarrentGoods goods);

}
