package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.carrentOrder.entity.CarrentOrder;
import org.springframework.web.bind.annotation.RequestHeader;

public interface OrderService {

    /**
     * 商品预约-查看预约列表
     * @param token
     * @param typeId
     * @param pageBean
     * @return
     */
    public Result<?> queryOrderList(@RequestHeader("X-Access-Token") String token, String typeId, PageBean pageBean);

    /**
     * 商品预约-提交预约信息
     * @param token
     * @param carrentOrder
     * @return
     */
    public Result<?> addOrder(String token, CarrentOrder carrentOrder);

}
