package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.carrentUser.entity.CarrentUser;

public interface UserService {

    /**
     * 用户信息-个人注册
     * @param token
     * @param carrentUser 用户信息
     * @return
     */
    public Result<?> addUser(String token, CarrentUser carrentUser);

    /**
     * 查询个人信息接口
     * @param token
     * @return
     */
    Result<?> queryUserInfo(String token);

    /**
     * 修改个人信息接口
     * @param token
     * @param nickName
     * @param phone
     * @param headImage
     * @return
     */
    Result<?> updateUserInfo(String token,String nickName,String phone,String headImage);

}
